/*
**	$Id: RawKeys.h 1.4 1995/10/13 11:43:06 olsen Exp olsen $
**
**	:ts=4
*/

#ifndef _RAWKEYS_H
#define _RAWKEYS_H 1

/*
 * Copyright  1995 by Olaf Barthel, All Rights Reserved
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHORS ``AS IS'' AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO
 * EVENT SHALL THE AUTHORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * This software has not been validated by the ``Bundesamt fuer Zulassungen in
 * der Telekommunikation'' of the ``Deutsche Bundepost Telekom'' and thus
 * must not be used for accessing the BTX-Network of the Telekom in Germany.
 *
 * Diese Software hat keine Zulassung durch das Bundesamt fuer Zulassungen in
 * der Telekommunikation der Deutschen Bundespost Telekom und darf daher nicht
 * am Netz der Deutschen Bundespost Telekom in Deutschland betrieben werden.
 */

#define KEY_CursorUp		0x80
#define KEY_CursorDown		0x81
#define KEY_CursorRight 	0x82
#define KEY_CursorLeft		0x83

#define KEY_Help			0x84

#define RAWKEY_CursorUp 	0x4C
#define RAWKEY_CursorDown	0x4D
#define RAWKEY_CursorRight	0x4E
#define RAWKEY_CursorLeft	0x4F

#define RAWKEY_F1			0x50
#define RAWKEY_F2			0x51
#define RAWKEY_F3			0x52
#define RAWKEY_F4			0x53
#define RAWKEY_F5			0x54
#define RAWKEY_F6			0x55
#define RAWKEY_F7			0x56
#define RAWKEY_F8			0x57
#define RAWKEY_F9			0x58
#define RAWKEY_F10			0x59

#define RAWKEY_Help 		0x5F

#define RAWKEY_LShift		0x60
#define RAWKEY_RShift		0x61
#define RAWKEY_CapsLock 	0x62
#define RAWKEY_Ctrl 		0x63
#define RAWKEY_LAlt 		0x64
#define RAWKEY_RAlt 		0x65
#define RAWKEY_LAmiga		0x66
#define RAWKEY_RAmiga		0x67

#endif	// _RAWKEYS_H
